サポート » プラグイン » Post Thumbnail Editorが動作しなくなりました

  • 解決済 bonbonbon

    (@bonbonbon)


    初めまして。

    昨日(19/09/05)Wordpressが4.0.27に自動更新されて以降、Post Thumbnail Editorが動作しなくなったようで、困っております。
    アイキャッチ画像を選択し、Post Thumbnail Editorのリンクをクリックすると、Editorではなく以下から始まるソースコードが表示されてしまいます。

    <!DOCTYPE html>
    <html><head><title>Post Thumbnail Editor</title>
    <script type='text/javascript'>
    /* <![CDATA[ */
    var execphpCommonL10n = {"messageContainer":"execphp-message"};
    try{convertEntities(execphpCommonL10n);}catch(e){};;
    /* ]]> */
    </script>
    <script type='text/javascript'>

    プラグインの停止→有効化は試してみましたが、変わりませんでした。
    プラグインの削除→再インストールには画像サイズなどの設定に影響が出るのではないかと思い、躊躇しています。

    Post Thumbnail Editorのリンクをマウスオーバーした時に出るリンク先が
    admin-ajax.php
    だったので調べてみたところ、9/5に更新されていたため、今回の自動更新と関係があるのかと思った次第です。

    ちなみにWordpressのバージョンが古いことは承知していますが、諸事情あって手をつけられていません。
    今後の運用については検討しています。

    どうか正常に動かす方法を教えていただけないでしょうか。
    よろしくお願いします。

15件の返信を表示中 - 1 - 15件目 (全26件中)
  • CG

    (@du-bist-der-lenz)

    WordPressのセキュリティアップデートがあったとのことですが、「Post Thumbnail Editor」プラグインだけの問題でしょうか。「Post Thumbnail Editor」プラグインも三年前に更新が止まっていますよね。諸事情はかまいませんが、わたしもクライアントが、そのままで良いと決定したので、そのままにしたサイトは有ります。

    CG

    (@du-bist-der-lenz)

    こちらのプラグインですね。 https://ja.wordpress.org/plugins/post-thumbnail-editor/
    「検証済み最新バージョン: 4.5.13」とあるので動作は問題無いでしょう。
    WordPress 4.1.27 にインストールして確認しました。

    こんにちは

    問題解決のためのチェックリスト」は試されたでしょうか?
    問題解決のためのチェックリストにも書かれていますが、すべてのプラグイン(特に exec-php プラグイン)の無効化を試してみてください。

    • この返信は1 週、 2 日前に  ishitaka さんが編集しました。
    CG

    (@du-bist-der-lenz)

    投稿内でPHPコードを書くことが必要だったら、ショートコードにすることで同じことが出来ませんかね。

    CG

    (@du-bist-der-lenz)

    その後、一時間、様子見見てますが、「exec-php」プラグインは危険なので、使うのをやめれば、「Post Thumbnail Editor」プラグインは動作するようになるでしょう。「exec-php」プラグインで投稿でPHPが動くようにしていた方法は、ショートコードにすることで投稿への記述も、内容の修正・保守でも、管理が簡単にできる。ということで結論は導けていると決定したので、試したプラグインは削除しました。

    補足です。

    exec-php プラグインと挙げたのは、提示されたソースコードより exec-php プラグインが使用されているのではないかと当て推量しただけです。このプラグインに原因があるのか分かりません。そもそもインストールされているのかどうかも分かりません。

    • この返信は1 週、 1 日前に  ishitaka さんが編集しました。
    bonbonbon

    (@bonbonbon)

    みなさまありがとうございます。
    ご指摘いただいたとおり、exec-phpプラグインは有効化になっていました。
    一旦すべてのプラグインを停止し、exec-phpプラグイン以外を有効化してみました。
    しかし、Post Thumbnail Editorをクリックすると今度は以下から始まる別のソースコードが表示されるようになりました(hogehogeはもちろん書き換えています)。

    <!DOCTYPE html>
    <html><head><title>Post Thumbnail Editor</title>
    <script type='text/javascript' src='http://hogehoge.net/wp-admin/load-scripts.php?c=0&load%5B%5D=jquery-core,jquery-migrate&ver=4.0.27'></script>
    <link rel='stylesheet' href='http://hogehoge.net/wp-admin/load-styles.php?c=0&dir=ltr&load=dashicons,wp-admin,buttons,wp-jquery-ui-dialog&ver=4.0.27' type='text/css' media='all' />
    <link rel='stylesheet' id='open-sans-css'  href='//fonts.googleapis.com/css?family=Open+Sans%3A300italic%2C400italic%2C600italic%2C300%2C400%2C600&subset=latin%2Clatin-ext&ver=4.0.27' type='text/css' media='all' />
    </head><body class="wp-core-ui pte-iframe">
    <!--
    <base href="/wp-admin/"/>
    -->

    やはりこれはPost Thumbnail Editorが限界ということなのでしょうか…
    「更新されてないけど使い続けられている」という報告が散見されたので使っていましたが(むしろWordpressのバージョンが古いから大丈夫だと思っていました)、別の方法を探るしかないですかね…

    • この返信は1 週前に  bonbonbon さんが編集しました。
    CG

    (@du-bist-der-lenz)

    (hogehogeはもちろん書き換えています)

    Example Domainを使いましょう。

    exec-phpプラグイン以外を有効化してみました。

    Post Thumbnail Editor プラグイン以外を無効化は試されたでしょうか?
    「問題解決のためのチェックリスト」はすべて試されたのでしょうか?

    すべてのプラグインを無効化し、同時にテーマをデフォルトのテーマに戻して再度試してみましょう。それで正常に動くなら一つずつ元に戻してみて、どれが問題を引き起こしているか絞り込むことができるはずです。

    こんにちは

    Post Thumbnail Editor プラグインは

    WordPress Version:4.1 or higher

    なので、4.0.27 で動かなくても仕方ないような気もしますが・・・

    バージョンは、4.1.27 かと思われます。
    @bonbonbon さん、確認お願いします。

    ほんとですね

    4.0.x は 4.0.1 で終了していますね

    デフォルトのテーマにする、というのが難しいです。
    私自身にWordpressの知識がそこまでないことが理由です。
    プラグインは一旦全部無効化してみましたが、サイトが表示されなくなって困ったので、すぐに有効化して戻しました。
    メンテナンス中などにして一旦サイトを閉じないと作業するのは厳しいですね。

    Post Thumbnail Editor プラグインはWordpressが4.0.27に自動アップデートされる前は動いてました。
    もう5年以上使用しています。

    プロの手を借りることを検討してみます。
    みなさま親身にお答えいただき、ありがとうございました。

    えええ
    WordPress 4.0.27 へ自動更新しました。
    とメールにもありますし、
    ダッシュボードの概要にも
    WordPress 4.0.27
    とあるんですが…

    CG

    (@du-bist-der-lenz)

    昨夜、WordPress4.0.27に自動アップデートしたと通知の着たサイトで、「Post Thumbnail Editor」の動作の確認する用意はあります。

15件の返信を表示中 - 1 - 15件目 (全26件中)
  • このトピックに返信するにはログインが必要です。